Jump to content
oldcelt

Immediately after installation v2.3.4.1 Security Checks throw up errors

Recommended Posts

The following errors are reported immediately after a fresh installation:-

Warning: Creating default object from empty value in C:\wamp64\www\catalog\admin\security_checks.php on line 82


Fatal error: Uncaught Error: Call to undefined method stdClass::pass() in C:\wamp64\www\catalog\admin\security_checks.php on line 87
( ! ) Error: Call to undefined method stdClass::pass() in C:\wamp64\www\catalog\admin\security_checks.php on line 87
 

Help please?

Share this post


Link to post
Share on other sites
15 minutes ago, ArtcoInc said:

@oldcelt Is this an install of a stock v2.3.4.1?

Absolutely.  Downloaded only a couple of hours ago.

 

Share this post


Link to post
Share on other sites

@oldcelt Since you are installing this on your WAMP system, can you select a different version of PHP? Try running PHP v5.x, and see if that makes a difference.

 

Share this post


Link to post
Share on other sites
1 minute ago, ArtcoInc said:

@oldcelt Since you are installing this on your WAMP system, can you select a different version of PHP? Try running PHP v5.x, and see if that makes a difference.

OK, I'll give that a try on Monday.  Finishing now - G & T calling ☺️

 

Share this post


Link to post
Share on other sites

@oldcelt OCS v2.3.4.1 has not been updated in years. It was written back when PHP 5.x was the norm. Newer versions of PHP will cause problems with 2.3.4.1 ( shop owners have had their shops crash when their host upgraded PHP).

Is there a reason you are installing v2.3.4.1? Not only will it have problems under current versions of PHP, it is not responsive (needed these days with all handheld devices), and Google will downgrade any site not responsive.

There are a couple of osC forks on here that are more current (both in PHP and responsiveness), as well as the Phoenix fork. Or, you could wait until osC v4 is released. Do note that osC v4 is a completely new code base.

HTH

Share this post


Link to post
Share on other sites

Yes, thanks very much. I’m pursuing the Phoenix fork now. 

Share this post


Link to post
Share on other sites
12 hours ago, ArtcoInc said:

@oldcelt Did you try changing your PHP version?

I gave up now that I have CE Phoenix installed.  Thanks for your interest and suggestions though.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×